0xDocs 0x.limo

Docs / REST API

Lobbies

Generated reference for the 8 /v1/lobbies operations of the 0x REST API.

Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.

Guide: Lobbies and matchmaking. Errors are {"error": "..."} with the status (errors); limits are in rate limits.

MethodPathAuthSummary
GET/v1/lobbies/{id}Bearer tokenLobby state
POST/v1/lobbies/{id}/joinBearer token{response:
POST/v1/lobbies/{id}/leaveBearer token
PUT/v1/lobbies/{id}/dataBearer tokenOwner sets key/values
PUT/v1/lobbies/{id}/member_dataBearer tokenMember sets own key/values
PUT/v1/lobbies/{id}/settingsBearer tokenOwner changes max_members, type, joinable, owner, game_server
POST/v1/lobbies/{id}/chatBearer token{data:
POST/v1/lobbies/{id}/inviteBearer token{user}

#GET /v1/lobbies/{id}

Lobby state

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK Lobby
404No such lobby
Lobby
ts
{
  id: string;
  appid: number;
  owner: string;
  members: string[];
  member_data?: object;
  data: { [key: string]: string };
  max_members: number;
  type: number; // ELobbyType
  joinable: boolean;
  game_server?: object | null;
  personas?: { [key: string]: string };
}
bash
curl -s "https://api.0x.limo/v1/lobbies/$ID" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#POST /v1/lobbies/{id}/join

{response: EChatRoomEnterResponse, lobby}

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK
bash
curl -s -X POST "https://api.0x.limo/v1/lobbies/$ID/join" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#POST /v1/lobbies/{id}/leave

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK Ok
bash
curl -s -X POST "https://api.0x.limo/v1/lobbies/$ID/leave" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#PUT /v1/lobbies/{id}/data

Owner sets key/values (null deletes)

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK Ok
403Not the owner
bash
curl -s -X PUT "https://api.0x.limo/v1/lobbies/$ID/data" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#PUT /v1/lobbies/{id}/member_data

Member sets own key/values

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK Ok
403Not a member
bash
curl -s -X PUT "https://api.0x.limo/v1/lobbies/$ID/member_data" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#PUT /v1/lobbies/{id}/settings

Owner changes max_members, type, joinable, owner, game_server

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK Ok
403Not the owner
bash
curl -s -X PUT "https://api.0x.limo/v1/lobbies/$ID/settings" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#POST /v1/lobbies/{id}/chat

{data: hex} → {chat_id}; pushed to members

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK
403Not a member
bash
curl -s -X POST "https://api.0x.limo/v1/lobbies/$ID/chat" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#POST /v1/lobbies/{id}/invite

{user} → push lobby_invite

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK
bash
curl -s -X POST "https://api.0x.limo/v1/lobbies/$ID/invite" \
  -H "Authorization: Bearer $ZEROX_TOKEN"